<?php
declare (strict_types = 1);

namespace app\admin\model;

use think\Model;

/**
 * @mixin \think\Model
 */
class PayInvoice extends Model
{
    //
    public static $invStatus=[0=>'待验证','1'=>'正常','2'=>'已作废','3'=>'已红冲'];
   // 1待系统验证 2 买方公司审核 3带买方公司认证 4 认证成功 5验证失败 6买方审核驳回 7 认证失败 8 回票流程终止 9 验证超次数 10 回票已退 11 待关联订单 12 订单关联完毕待财务审核 13 订单关联完毕财务驳回
    public static $statusCn=[
            "1"=>"待系统验证",
            '11'=>'待关联订单',
            '12'=>'订单关联完毕待财务审核',
            "2"=>"买方公司审核",//订单关联完毕财务通过
            "3"=>"待买方公司认证",
            "4"=>"认证成功",
            "5"=>"验证失败",
            "6"=>"买方审核驳回",
            "7"=>"认证失败",
            "8"=>"回票流程终止",
            "9"=>"验证超次数",
            "10"=>"回票已退",
            '13'=>'订单关联完毕财务驳回'
        ];

    public function Invoice(){
        return $this->hasOne(Invoice::class,'InvCode','payNo')->bind(["companyNo","companyName"]);
    }
}
